	nop
	nop
	nop
	nop

	;; Clear the icache by invalidating all the itags
	mv_s	#$00000080,r3		; r3=128
	mv_s	#$20480000,r2		; itags
	sub	r0,r0			; r0=0
next_itag:	
	sub	#$00000001,r3
	bra	ne,next_itag
	st_s	r0,(r2)			; clear this itag
	add	#$00000004,r2

	;; Clear the dcache by invaliding all the dtags
	mv_s	#$00000080,r3		; r3=128
	mv_s	#$20400000,r2		; dtags
	sub	r0,r0			; r0=0
next_dtag:	
	sub	#$00000001,r3
	bra	ne,next_dtag
	st_s	r0,(r2)			; clear this dtag
	add	#$00000004,r2

	;; Sit and spin.  The MPE that's loading the COFF will write to our
	;; instruction pointer to start the app.
spin:
	bra	spin
	nop
	nop